#include <bits/stdc++.h>
using namespace std;
int b[10009];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n;
	cin>>n;
    for(int i=0; i<n;  i++)
    {
       
        cin>>b[i];
        
    } 
    cout<<n-1<<endl;
    for(int i=0; i<n/2; i++)
    {
        cout<<b[i]<<' '<<b[i+1];
    }

    
}
